%define anolis_release 1
Name:           libgnomekbd
Version:        3.28.1
Release:        %{anolis_release}%{?dist}
Summary:        A keyboard configuration library

License:        LGPLv2+
URL:            http://gswitchit.sourceforge.net
Source0:        https://download.gnome.org/sources/libgnomekbd/3.26/libgnomekbd-%{version}.tar.xz

BuildRequires:  meson >= 0.59
BuildRequires:  pkgconfig(gdk-3.0) >= 2.91.7
BuildRequires:  pkgconfig(gio-2.0) >= 2.44.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:  pkgconfig(libxklavier) >= 5.2
BuildRequires:  pkgconfig(x11)
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel

Obsoletes:      libgnomekbd-capplet < 3.3.90-2

%description
The libgnomekbd package contains a GNOME library which manages
keyboard configuration and offers various widgets related to
keyboard configuration.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The libgnomekbd-devel package contains libraries and header files for
developing applications that use libgnomekbd.


%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gkbd-keyboard-display.desktop

%files -f %{name}.lang
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/*.so.*
%{_datadir}/libgnomekbd
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%{_libdir}/girepository-1.0/Gkbd-3.0.typelib
%{_bindir}/gkbd-keyboard-display
%{abidir}/*.dump
%{abidir}/gkbd-keyboard-display-option.list
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/GConf/gsettings/libgnomekbd.convert

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/Gkbd-3.0.gir

%changelog
* Wed Dec 7 2022 Funda Wang <fundawang@yeah.net> - 3.28.1-1
- New version 3.28.1

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.26.1-2
- optimise spec file

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.26.1-1
- Init from upstream version 3.26.1

